Up

# NSMeasurement class documentation

### Authors

Generated by Debian

# Software documentation for the NSMeasurement class

## NSMeasurement : NSObject

> Declared in:
>   Foundation/NSMeasurement.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- -canBeConvertedToUnit:
- -doubleValue
- -initWithDoubleValue:unit:
- -measurementByAddingMeasurement:
- -measurementByConvertingToUnit:
- -measurementBySubtractingMeasurement:
- -unit

### canBeConvertedToUnit:

- (BOOL) canBeConvertedToUnit: (NSUnit*)unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### doubleValue

- (double) doubleValue;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### initWithDoubleValue: unit:

- (instancetype) initWithDoubleValue: (double)doubleValue unit: (NSUnit*)unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### measurementByAddingMeasurement:

- (NSMeasurement*) measurementByAddingMeasurement: (NSMeasurement*)measurement;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### measurementByConvertingToUnit:

- (NSMeasurement*) measurementByConvertingToUnit: (NSUnit*)unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### measurementBySubtractingMeasurement:

- (NSMeasurement*) measurementBySubtractingMeasurement: (NSMeasurement*)measurement;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### unit

- (NSUnit*) unit;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSMeasurement Class

### _doubleValue

@protected double _doubleValue;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unit

@protected NSUnit* _unit;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up